SystemOrganization addCategory: #'JQueryMobile-Canvas'!
SystemOrganization addCategory: #'JQueryMobile-Canvas-Tags'!

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmAddBackButton
	"*Header bars>http://jquerymobile.com/test/docs/toolbars/docs-headers.html*"
	self attributeAt: 'data-add-back-btn' put: 'true'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:23'!
jqmBackButtonText: buttonText
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"Header bar"
	self attributeAt: 'data-back-btn-text' put: buttonText! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:31'!
jqmBackButtonTheme: aThemeLetter
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"Header bar"
	aThemeLetter isEmptyOrNil ifFalse: [
		self attributeAt: 'data-back-btn-theme' put: aThemeLetter ]! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmCollapsedState: state
	"*Content collapsible>http://jquerymobile.com/test/docs/content/content-collapsible.html*"
	self attributeAt: 'data-collapsed' put: state greaseString! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmCollapsible
	"*Collapsible content>http://jquerymobile.com/test/docs/content/content-collapsible.html*"
	self jqmRole: 'collapsible'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmCollapsibleSet
	"*http://jquerymobile.com/test/docs/content/content-collapsible-set.html*"
	self jqmRole: 'collapsible-set'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmFieldContainer
	"*Form elements: slider>http://jquerymobile.com/test/docs/forms/slider/*"
	self jqmRole: 'fieldcontain'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmFixedPosition
	"*Fixed toolbars>http://jquerymobile.com/test/docs/toolbars/bars-fixed.html*"
	self attributeAt: 'data-position' put: 'fixed'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmFooter
	"*Anatomy of a page>http://jquerymobile.com/test/docs/pages/page-anatomy.html*"
	self jqmRole: 'footer'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmHeader
	"*Anatomy of a page>http://jquerymobile.com/test/docs/pages/page-anatomy.html*"
	self jqmRole: 'header'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmId: id
	"*Persistent footer nav bar>http://jquerymobile.com/test/docs/toolbars/footer-persist-a.html*"
	self attributeAt: 'data-id' put: id! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmNavBar
	"*Navbar>http://jquerymobile.com/test/docs/toolbars/docs-navbar.html*"
	self jqmRole: 'navbar'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmPage
	"*Anatomy of a page>http://jquerymobile.com/test/docs/pages/page-anatomy.html*"
	self jqmRole: 'page'! !

!WADivTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/25/2011 15:41'!
jqmUrl: updatedUrl
	"*Linking page>http://jquerymobile.com/test/docs/pages/page-links.html*"
	"jQuery Mobile will update the URL with the url stored in 'data-url', when attached to the page's div. This allows JQueryMobile to reflect redirects"
	self attributeAt: 'data-url' put: updatedUrl! !

WAAbstractTextAreaTag subclass: #JQMTelephoneInputTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Canvas-Tags'!

!JQMTelephoneInputTag commentStamp: 'NickAger 10/30/2011 10:33' prior: 0!
JQMTelephoneInputTag copy of WATelephoneInputTag with type="tel" rather than type="telephone" - hopefully this can be removed once it is fixed in core Seaside.!

!JQMTelephoneInputTag methodsFor: 'accessing' stamp: 'NickAger 10/25/2011 16:52'!
type
	^ 'tel'! !

WAHtmlCanvas subclass: #JQMHtmlCanvas
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Canvas'!

!JQMHtmlCanvas methodsFor: 'tags-input' stamp: 'NickAger 11/1/2011 00:26'!
anchor
	| anchorBrushClass |
	anchorBrushClass := self requestContext request jqmUserAgent isIOS 
		ifTrue: [ JQMIOSAnchorTag ] 
		ifFalse: [ WAAnchorTag ].
		
	^ self brush: anchorBrushClass new! !

!JQMHtmlCanvas methodsFor: 'form-elements' stamp: 'NickAger 10/29/2011 14:26'!
select
	^ self brush: JQMSelectTag new! !

!JQMHtmlCanvas methodsFor: 'seaside-html5-input' stamp: 'NickAger 10/29/2011 14:27'!
telephoneInput
	^ self brush: JQMTelephoneInputTag new! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmBack
	"*Linking Pages>http://jquerymobile.com/test/docs/pages/page-links.html*"	
	self jqmRelationship: 'back'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:27'!
jqmButtonCorners: enableCornersBoolean
	"*Button options>http://jquerymobile.com/test/docs/buttons/buttons-options.html*"
	self attributeAt: 'data-corners' put: enableCornersBoolean greaseString! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:21'!
jqmCloseButtonText: buttonText
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"text for the close button, dialog only"
	self attributeAt: 'data-close-btn-text' put: buttonText! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmContent
	"*Anatomy of a page>http://jquerymobile.com/test/docs/pages/page-anatomy.html*"
	self jqmRole: 'content'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmContentTheme: theme
	"*Content collapsible>http://jquerymobile.com/test/docs/content/content-collapsible.html"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-content-theme' put: theme ]! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmControlGroup
	"*Grouped buttons>http://jquerymobile.com/test/docs/buttons/buttons-grouped.html"
	self jqmRole: 'controlgroup'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/20/2011 22:14'!
jqmDialog
	self jqmRelationship: 'dialog'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:16'!
jqmFullScreen: aFullScreenBoolean
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"Dialog: used in conjunction with fixed toolbars"
	self attributeAt: 'data-fullscreen' put: aFullScreenBoolean! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmHorizontal
	"*Grouped buttons>http://jquerymobile.com/test/docs/buttons/buttons-grouped.html*"
	self attributeAt: 'data-type' put: 'horizontal'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmIcon: icon
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self attributeAt: 'data-icon' put: icon! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/1/2011 01:37'!
jqmIconNoShadow
	"*Button options>http://jquerymobile.com/test/docs/buttons/buttons-options.html*"
	self attributeAt: 'data-iconshadow' put: 'false'
! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmIconNoText
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self jqmIconPosition: 'notext'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmIconPosition: position
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self attributeAt: 'data-iconpos' put: position! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:40'!
jqmIconPositionBottom
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self jqmIconPosition: 'bottom'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmIconPositionLeft
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self jqmIconPosition: 'left'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmIconPositionRight
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self jqmIconPosition: 'right'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmIconPositionTop
	"*Button icons>http://jquerymobile.com/test/docs/buttons/buttons-icons.html*"
	self jqmIconPosition: 'top'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmInline
	"*Inline Buttons>http://jquerymobile.com/test/docs/buttons/buttons-inline.html*"
	self attributeAt: 'data-inline' put: 'true'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/5/2011 11:16'!
jqmKeepNative
	self jqmRole: 'none'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 13:35'!
jqmListDivider
	"*List dividers>http://jquerymobile.com/test/docs/lists/lists-divider.html*
	Ideally this would be in a WAListItem however no such class exists; list items
	are rendered using a WAGenericTag"
	self jqmRole: 'list-divider'
! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmNoAjax
	"*Linking Pages>http://jquerymobile.com/test/docs/pages/page-links.html*"	
	self attributeAt: 'data-ajax' put: 'false'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/1/2011 02:10'!
jqmNoShadow
	"*Button options>http://jquerymobile.com/test/docs/buttons/buttons-options.html*"
	self attributeAt: 'data-shadow' put: 'false'
! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:32'!
jqmOverlayTheme: theme
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"Dialog: swatch letter (a-z) - overlay theme when the page is opened in a dialog"
	
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-overlay-theme' put: theme ]! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/30/2011 00:16'!
jqmRelationship: relationship
	"*Linking Pages>http://jquerymobile.com/test/docs/pages/page-links.html*"	
	self attributeAt: 'data-rel' put: relationship! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmReverse
	"*Linking Pages>http://jquerymobile.com/test/docs/pages/page-links.html*"	
	self attributeAt: 'data-direction' put: 'reverse'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/5/2011 11:16'!
jqmRole: role
	self attributeAt: 'data-role' put: role! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmTheme: theme
	"*Theming buttons>http://jquerymobile.com/test/docs/buttons/buttons-themes.html"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-theme' put: theme ]! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:18'!
jqmTitle: aTitle
	"*Data attribute reference>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html*"
	"Dialog: title used when page is shown"
	self attributeAt: 'data-title' put: aTitle! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/11/2011 16:19'!
jqmTransition: transition
	self attributeAt: 'data-transition' put: transition! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmTransitionFade
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'fade'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:41'!
jqmTransitionFlip
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'flip'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/30/2011 21:13'!
jqmTransitionNone
	self jqmTransition: 'none'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:42'!
jqmTransitionPop
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'pop'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:42'!
jqmTransitionSlide
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'slide'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:42'!
jqmTransitionSlidedown
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'slidedown'! !

!WATagBrush methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:42'!
jqmTransitionSlideup
	"*Dialog>http://jquerymobile.com/test/docs/pages/page-transitions.html*"	
	self jqmTransition: 'slideup'! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:28'!
jqmCountTheme: theme
	"*Theming lists>http://jquerymobile.com/test/docs/lists/lists-themes.html"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-count-theme' put: theme ]! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:28'!
jqmDividerTheme: theme
	"*Data attributes reference - ListView>http://jquerymobile.com/demos/1.0/docs/api/data-attributes.html"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-dividertheme' put: theme ]! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmEnableInset
	"*Inset Search filter bar>http://jquerymobile.com/test/docs/lists/lists-search-inset.html*"
	self attributeAt: 'data-inset' put: 'true'! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmEnableListFilter
	"*Search filter bar>http://jquerymobile.com/test/docs/lists/lists-search.html*"
	self attributeAt: 'data-filter' put: 'true'! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmListFilterPlaceholder: placeHolderText
	"*Search filter bar with dividers>http://jquerymobile.com/test/docs/lists/lists-search-with-dividers.html*"
	self attributeAt: 'data-filter-placeholder' put: placeHolderText! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:32'!
jqmListFilterTheme: theme
	"*Search filter bar with dividers>http://jquerymobile.com/test/docs/lists/lists-search-with-dividers.html*"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-filter-theme' put: theme ]! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmListView
	"*List Views>http://jquerymobile.com/test/docs/lists/docs-lists.html*"
	self jqmRole: 'listview'! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:39'!
jqmSplitIcon: icon
	"*List formating>http://jquerymobile.com/test/docs/lists/lists-split.html*"
	self attributeAt: 'data-split-icon' put: icon! !

!WAListTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:32'!
jqmSplitTheme: theme
	"*List formating>http://jquerymobile.com/test/docs/lists/lists-split.html*"
	
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-split-theme' put: theme ]! !

!WARangeInputTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/1/2011 02:35'!
jqmTrackTheme: theme
	"Slider options>http://jquerymobile.com/test/docs/forms/slider/options.html"
	theme isEmptyOrNil ifFalse: [
		self attributeAt: 'data-track-theme' put: theme ]
	! !

WASelectTag subclass: #JQMSelectTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Canvas-Tags'!

!JQMSelectTag methodsFor: 'private' stamp: 'NickAger 10/7/2011 15:21'!
renderOptional
	| option |
	option := canvas option.
	option attributeAt: 'data-placeholder' put: 'true'.
	option
		with: optionalLabel! !

!WASelectTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/6/2011 16:50'!
jqmDisableNativeMenu
	self attributeAt: 'data-native-menu' put: 'false'
! !

!WASelectTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/6/2011 16:08'!
jqmSlider
	self jqmRole: 'slider'! !

!GRPackage class methodsFor: '*jquerymobile-canvas' stamp: 'NickAger 11/1/2011 02:36'!
jQueryMobileCanvas
	^ self new
		name: 'JQueryMobile-Canvas';
		description: 'jQueryMobile canvas';
		addDependency:  'Seaside-Canvas';
		addDependency:  'Seaside-HTML5';
		addDependency: 'JQueryMobile-Core-HTTP';
		url: #seasideUrl;
		yourself! !

WAAnchorTag subclass: #JQMIOSAnchorTag
	instanceVariableNames: 'callbackUrl'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Canvas-Tags'!

!JQMIOSAnchorTag commentStamp: 'NickAger 11/1/2011 00:17' prior: 0!
JQMIOSAnchorTag specific for iOS devices. Ensures that anchors aren't generated with href on iOS as hrefs cause mobile Safari to pop down the address bar!

!JQMIOSAnchorTag methodsFor: 'callbacks' stamp: 'NickAger 10/30/2011 13:48'!
callback: aNiladicValuable
	self setCallbackUrl.

	super callback: aNiladicValuable! !

!JQMIOSAnchorTag methodsFor: 'accessing' stamp: 'NickAger 10/31/2011 11:44'!
isCallbackUrl
	^ callbackUrl notNil! !

!JQMIOSAnchorTag methodsFor: 'accessing' stamp: 'NickAger 10/30/2011 13:48'!
setCallbackUrl
	callbackUrl := true! !

!JQMIOSAnchorTag methodsFor: 'public' stamp: 'NickAger 11/1/2011 00:27'!
with: aBlock
	| pageOptions handled |

	self isCallbackUrl ifFalse: [  ^ super with: aBlock ].

	handled := false.

	"need to manually interpret the anchor attributes; this is normally
	performed by the jQueryMobile library on the device"
	pageOptions := JQMLoadPageOptions new.
	self attributeAt: 'data-transition' ifPresent: [ :transition | 
		pageOptions transition: transition ].
	self attributeAt: 'data-direction' ifPresent: [ :direction | 
		pageOptions reverse: true ].
	self attributeAt: 'data-rel' ifPresent: [ :relationship | 
		relationship = 'back' 
			ifTrue: [ handled := true ]
			ifFalse: [ pageOptions role: relationship ] ].
	
	handled ifFalse: [
		self onClick: (canvas jQuery mobile changePageUrl: self url options: pageOptions).

		self attributeAt: 'data-prefetch' ifPresent: [ :prefetched | 
			"if prefetch is defined, we need to manually initiate the prefetch as the 
			anchor tag no longer includes the href so the jQueryMobile library cannot
			act on the prefetch attribute"
			canvas document addLoadScript: (canvas jQuery page onPrefetchTrigger:
				(canvas jQuery mobile loadPageUrl: self url options: nil)) ] ].
   
	self url: nil. "avoid the href being generated"
	super with: aBlock! !

!WAAnchorTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/21/2011 14:38'!
jqmButton
	"*Buttons>http://jquerymobile.com/test/docs/buttons/buttons-types.html*"	
	self jqmRole: 'button'! !

!WAAnchorTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 11/29/2011 12:24'!
jqmDOMCache
	self attributeAt: 'data-dom-cache' put: 'true'! !

!WAAnchorTag methodsFor: '*jquerymobile-canvas-tags' stamp: 'NickAger 10/29/2011 14:17'!
jqmPrefetch
	self attributeAt: 'data-prefetch' put: 'true'! !
